## com.baidubce.services.moladb.model
Class GetInstanceRequest

    java.lang.Object
      com.baidubce.model.AbstractBceRequest
          com.baidubce.services.moladb.model.GetInstanceRequest

    public class GetInstanceRequest

extends AbstractBceRequest

Represents the input of a GetInstance operation.

Constructor Summary
`GetInstanceRequest()` Constructs a new GetInstanceRequest object.
`GetInstanceRequest(String instanceName)` Constructs a new GetInstanceRequest object.

Method Summary
`String` `getInstanceName()` Get the name of the instance to get from the account.
`void` `setInstanceName(String instanceName)` Set the name of the instance to get from the account.
`GetInstanceRequest` `withInstanceName(String instanceName)` Set the name of the instance to get from the account.
`GetInstanceRequest` `withRequestCredentials(BceCredentials credentials)`

Methods inherited from class com.baidubce.model.AbstractBceRequest
`getRequestCredentials, setRequestCredentials`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetInstanceRequest

    public GetInstanceRequest()

  Constructs a new GetInstanceRequest object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

### GetInstanceRequest

    public GetInstanceRequest(String instanceName)

  Constructs a new GetInstanceRequest object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

  Parameters:
    `instanceName` - The name of the instance to get from the account.

Method Detail

### withInstanceName

    public GetInstanceRequest withInstanceName(String instanceName)

  Set the name of the instance to get from the account.

  Parameters:
    `instanceName` - The name of the instance to get from the account.
  Returns:
    Returns a reference to the object so that method calls can be chained together.

### setInstanceName

    public void setInstanceName(String instanceName)

  Set the name of the instance to get from the account.

  Parameters:
    `instanceName` - The name of the instance to get from the account.

### getInstanceName

    public String getInstanceName()

  Get the name of the instance to get from the account.

  Returns:
    The name of the instance to get from the account.

### withRequestCredentials

    public GetInstanceRequest withRequestCredentials(BceCredentials credentials)

  Specified by:
    `withRequestCredentials` in class `AbstractBceRequest`

Copyright © 2016. All rights reserved.